<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <title>Video.js Playlist UI - Using a Custom Class</title>
  <link href="node_modules/video.js/dist/video-js.css" rel="stylesheet">
  <link href="dist/videojs-playlist-ui.css" rel="stylesheet">
  <link href="examples.css" rel="stylesheet">
</head>
<body>
  <div class="info">
    <h1>Video.js Playlist UI - Using a Custom Class</h1>
    <p>
      You can see the Video.js Playlist UI plugin in action below. Look at the
      source of this page to see how to use it with your videos.
    </p>
    <p>
      When using a custom class, the plugin looks for the first element that
      matches the given class and uses that as a container for the list.
    </p>
    <p>
      <strong>Using this option means the default styles WILL NOT apply; so,
      you'll have to define your own.</strong> This may be desirable or not -
      depending on your implementation. This example has been left un-styled
      to demonstrate this fact.
    </p>
  </div>

  <div class="player-container">
    <video
      id="video"
      class="video-js"
      height="300"
      width="600"
      controls>
      <source src="http://vjs.zencdn.net/v/oceans.mp4" type="video/mp4">
      <source src="http://vjs.zencdn.net/v/oceans.webm" type="video/webm">
    </video>

    <div class="my-custom-class">
      <!--
        The contents of this element will be filled based on the
        currently loaded playlist
      -->
    </div>
  </div>

  <script src="node_modules/video.js/dist/video.js"></script>
  <script src="node_modules/videojs-playlist/dist/videojs-playlist.js"></script>
  <script src="dist/videojs-playlist-ui.js"></script>
  <script>
    var player = videojs('video');
    player.playlist([{
      name: 'Disney\'s Oceans',
      description: 'Explore the depths of our planet\'s oceans. ' +
        'Experience the stories that connect their world to ours. ' +
        'Lorem ipsum dolor sit amet, consectetur adipiscing elit, ' +
        'sed do eiusmod tempor incididunt ut labore et dolore magna ' +
        'aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco ' +
        'laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure ' +
        'dolor in reprehenderit in voluptate velit esse cillum dolore eu ' +
        'fugiat nulla pariatur. Excepteur sint occaecat cupidatat non ' +
        'proident, sunt in culpa qui officia deserunt mollit anim id est ' +
        'laborum.',
      duration: 45,
      sources: [
        { src: 'http://vjs.zencdn.net/v/oceans.mp4', type: 'video/mp4' },
        { src: 'http://vjs.zencdn.net/v/oceans.webm', type: 'video/webm' },
      ],
      // you can use <picture> syntax to display responsive images
      thumbnail: [
        {
          srcset: 'test/example/oceans.jpg',
          type: 'image/jpeg',
          media: '(min-width: 400px;)'
        },
        {
          src: 'test/example/oceans-low.jpg'
        }
      ]
    }, {
      name: 'Sintel',
      description: 'The film follows a girl named Sintel who is searching for a baby dragon she calls Scales.',
      sources: [
        { src: 'http://media.w3.org/2010/05/sintel/trailer.mp4', type: 'video/mp4' },
        { src: 'http://media.w3.org/2010/05/sintel/trailer.webm', type: 'video/webm' },
        { src: 'http://media.w3.org/2010/05/sintel/trailer.ogv', type: 'video/ogg' }
      ],
      thumbnail: false
    },
    // This is a really underspecified video to demonstrate the
    // behavior when optional parameters are missing. You'll get prettier
    // results with more video metadata!
    {
      sources: []
    }]);
    // Initialize the playlist-ui plugin with no option (i.e. the defaults).
    player.playlistUi({
      className: 'my-custom-class'
    });
  </script>
</body>
</html>